> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Connect Element Token

<Warning>
  Method Elements will no longer be supported or maintained beginning December
  31st, 2025. We recommend using [Method Opal](/opal/overview) for all new
  integrations. If you are currently using Elements, please reach out to your
  CSM to discuss your migration options.
</Warning>

To start using Connect, you will first need to create a [Connect Element Token](/reference/elements/tokens).
There are a few different use cases that will determine what you pass to the endpoint.

### New Entities

If you do not have any identity information about your users, you will likely create a token using a payload similar to this:

```json theme={null}
{
  "type": "connect",
  "connect": {
    "products": ["balance"],
    "entity": {
      "type": "individual",
      "individual": {}
    }
  }
}
```

This will return a token that you can use to create a new entity and connect their accounts. Fill in the `products` array with a list of the different products you want to connect (for example `["balance", "card"]`).

### New Entities with Partial Information

If you have some information already about a given user (such as their name), you can pass that information into the `individual` object:

```json theme={null}
{
  "type": "connect",
  "connect": {
    "products": ["balance"],
    "entity": {
      "type": "individual",
      "individual": {
        "first_name": "Kevin",
        "last_name": "Doyle"
      }
    }
  }
}
```

You can also pass in a user's phone number, address, DOB, or the last 4 digits of their SSN to make the identity verification process faster.

### Using with Existing Entities

You can also pass in an existing entity\_id:

```json theme={null}
{
  "type": "connect",
  "entity_id": "ent_au22b1fbFJbp8",
  "connect": {
    "products": ["balance"]
  }
}
```

### Using with Existing Accounts

If you also have specific accounts you'd like to connect, you can pass the account ids:

```json theme={null}
{
  "type": "connect",
  "entity_id": "ent_au22b1fbFJbp8",
  "connect": {
    "products": ["balance"],
    "accounts": ["acc_k8LAKDnED7kti", "acc_KUaFnxn7eUAeH"]
  }
}
```

<RequestExample>
  ```bash cURL theme={null}
  curl https://dev.methodfi.com/elements/token \
    -X POST \
    -H "Method-Version: 2025-07-04" \
    -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
    -H "Content-Type: application/json" \
    -d '{
      "type": "connect",
      "connect": {
        "products": ["balance"],
        "entity": {
          "type": "individual",
          "individual": {
            "first_name": "Kevin",
            "last_name": "Doyle"
          }
        }
      }
    }'
  ```

  ```javascript Node.js theme={null}
  const token = await method.elements.token.create({
    type: "connect",
    connect: {
      products: ["balance"],
      entity: {
        type: "individual",
        individual: {
          first_name: "Kevin",
          last_name: "Doyle"
        }
      }
    }
  });
  ```

  ```python Python theme={null}
  token = method.elements.token.create({
    'type': "connect",
    'connect': {
      'products': ["balance"],
      'entity': {
        'type': "individual",
        'individual': {
          'first_name': "Kevin",
          'last_name': "Doyle"
        }
      }
    }
  })
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "element_token": "pk_elem_qPmypE9wwphr3WL3yTj7JhxjrPzAmK8G"
  }
  ```
</ResponseExample>
